Package org.bukkit.conversations

# Class PluginNameConversationPrefix

java.lang.Object
org.bukkit.conversations.PluginNameConversationPrefix

All Implemented Interfaces:
  `ConversationPrefix`

public class PluginNameConversationPrefix extends Object implements ConversationPrefix
PluginNameConversationPrefix is a `ConversationPrefix` implementation that displays the plugin name in front of conversation output.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Plugin`
`plugin`
`protected ChatColor`
`prefixColor`
`protected String`
`separator`

## Constructor Summary

Constructors
Constructor
Description
`PluginNameConversationPrefix(@NotNull Plugin plugin)`
`PluginNameConversationPrefix(@NotNull Plugin plugin, @NotNull String separator, @NotNull ChatColor prefixColor)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getPrefix(@NotNull ConversationContext context)`
Prepends each conversation message with the plugin name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### separator

protected String separator

### prefixColor

protected ChatColor prefixColor

### plugin

protected Plugin plugin

## Constructor Details

### PluginNameConversationPrefix

public PluginNameConversationPrefix(@NotNull @NotNull Plugin plugin)

### PluginNameConversationPrefix

public PluginNameConversationPrefix(@NotNull @NotNull Plugin plugin, @NotNull @NotNull String separator, @NotNull @NotNull ChatColor prefixColor)

## Method Details

### getPrefix

@NotNull public @NotNull String getPrefix(@NotNull @NotNull ConversationContext context)
Prepends each conversation message with the plugin name.

Specified by:
  `getPrefix` in interface `ConversationPrefix`
Parameters:
  `context` - Context information about the conversation.
Returns:
  An empty string.